## 医生端-小程序

## 项目结构

project/
│
├── src/                   # 源代码目录
│   ├── assets/            # 资源目录，如图片、样式等
│   │   └── logo.png
│   ├── components/        # 组件目录
│   │   ├── custom-loadmore/
│   │   │   └── index.vue      # 组件文件
│   │   │   └── index.scss     # 组件样式
│   ├── pages/             # 页面组件目录
│   │   ├── login/
│   │   │   └── index.vue      # 页面文件
│   │   │   └── index.scss     # 页面样式
│   ├── store/             # Vuex 状态管理
│   │   ├── index.ts       # 状态管理的根模块
│   │   └── modules/       # 状态管理模块目录
│   │   │   └── user.ts
│   ├── types/             # TypeScript 类型定义
│   │   └── user.ts
│   ├── utils/             # 工具目录
│   │   └── common.ts      # 公共方法
│   │   └── request.ts     # 请求方法 
│   ├── App.vue            # 根组件
│   ├── main.ts            # 入口文件
│   └── pages.json         # uni-app 页面配置文件
│
├── vite.config.js         # Vite 配置文件
├── .env.development       # 开发环境配置文件
├── .env.production        # 生产环境配置文件
├── tsconfig.json          # TypeScript 配置文件
└── package.json           # 项目依赖和配置文件


## 安装

您需要提前在本地安装[Node.js](https://nodejs.org/en/)

```bash
# 切换到项目根目录

# 安装插件
npm install

# 启动项目-h5
npm run dev:h5

# 启动项目-小程序
npm run dev:mp-weixin

# 打包-h5
npm run build:h5
```
