// @ts-nocheck
/**
 * 生成壹個指定範圍內的隨機數
 * @param min 隨機數的最小值
 * @param max 隨機數的最大值
 * @param fixed 隨機數的小數位數，默認為 0
 * @returns 生成的隨機數
 */

export function random(min: number, max: number, fixed: number = 0):number {
  // 將 min 和 max 轉換為數字類型
  // min = +min || 0;
  // max = +max || 0;
  // 計算隨機數範圍內的壹個隨機數
  const num = Math.random() * (max - min) + min;
  // 如果 fixed 參數為 0，則返回四舍五入的整數隨機數；否則保留固定小數位數
  // Number
  return fixed == 0 ? Math.round(num) : parseFloat(num.toFixed(fixed));
}

// 示例
// console.log(random(0, 10)); // 輸出：在 0 和 10 之間的壹個整數隨機數
// console.log(random(0, 1, 2)); // 輸出：在 0 和 1 之間的壹個保留兩位小數的隨機數
// console.log(random(1, 100, 3)); // 輸出：在 1 和 100 之間的壹個保留三位小數的隨機數