// @ts-nocheck
/**
 * 延遲指定時間後解析的 Promise
 * @param delay 延遲的時間（以毫秒為單位），默認為 300 毫秒
 * @returns 壹個 Promise，在延遲結束後解析
 */


// #ifdef APP-IOS || APP-ANDROID
function sleep(delay: number = 300):Promise<boolean> {
	return new Promise((resolve):void => {setTimeout(() => {resolve(true)}, delay)});
}
export {
	sleep
}

// #endif

// #ifndef APP-IOS || APP-ANDROID
export const sleep = (delay: number = 300) =>
  new Promise(resolve => setTimeout(resolve, delay));
  
// #endif
  
// 示例  
// async function example() {
//   console.log("Start");

//   // 延遲 1 秒後執行
//   await sleep(1000);
//   console.log("1 second later");

//   // 延遲 500 毫秒後執行
//   await sleep(500);
//   console.log("500 milliseconds later");

//   // 延遲 2 秒後執行
//   await sleep(2000);
//   console.log("2 seconds later");

//   console.log("End");
// }

// example();