export default {
	props: {
		// 標題
		title: {
			type: [String],
			default: ''
		},
		// 彈窗內容
		content: {
			type: String,
			default: ''
		},
		// 確認文案
		confirmText: {
			type: String,
			default: '確認'
		},
		// 取消文案
		cancelText: {
			type: String,
			default: '取消'
		},
		// 是否顯示確認按鈕
		showConfirmButton: {
			type: Boolean,
			default: true
		},
		// 是否顯示取消按鈕
		showCancelButton: {
			type: Boolean,
			default: false
		},
		// 確認按鈕顏色
		confirmColor: {
			type: String,
			default: '#2979ff'
		},
		// 取消文字顏色
		cancelColor: {
			type: String,
			default: '#606266'
		},
		// 對調確認和取消的位置
		buttonReverse: {
			type: Boolean,
			default: false
		},
		// 是否開啟縮放效果
		zoom: {
			type: Boolean,
			default: true
		},
		// 層級
		zIndex: {
			type: [String, Number],
			default: 10075
		},
		// 是否異步關閉，只對確定按鈕有效
		asyncClose: {
			type: Boolean,
			default: false
		},
		// 是否允許點擊遮罩關閉modal
		closeOnClickOverlay: {
			type: Boolean,
			default: true
		},
		// 給壹個負的margin-top，往上偏移，避免和鍵盤重合的情況
		negativeTop: {
			type: [String, Number],
			default: 0
		},
		// modal寬度，不支持百分比，可以數值，px，rpx單位
		width: {
			type: [String, Number],
			default: '650rpx'
		},
		// 文本對齊方式，默認left
		align: {
			type: String,
			default: 'left'
		},
		// 文本自定義樣式
		textStyle: {
			type: [Object, String],
			default: ''
		},
		...uni.$uv?.props?.modal
	}
}