export default {
	props: {
		value: {
			type: [String, Number],
			default: 0
		},
		modelValue: {
			type: [String, Number],
			default: 0
		},
		// 步進器標識符，在change回調返回
		name: {
			type: [String, Number],
			default: ''
		},
		// 最小值
		min: {
			type: [String, Number],
			default: 1
		},
		// 最大值
		max: {
			type: [String, Number],
			default: Number.MAX_SAFE_INTEGER
		},
		// 加減的步長，可為小數
		step: {
			type: [String, Number],
			default: 1
		},
		// 是否只允許輸入整數
		integer: {
			type: Boolean,
			default: false
		},
		// 是否禁用，包括輸入框，加減按鈕
		disabled: {
			type: Boolean,
			default: false
		},
		// 是否禁用輸入框
		disabledInput: {
			type: Boolean,
			default: false
		},
		// 是否開啟異步變更，開啟後需要手動控制輸入值
		asyncChange: {
			type: Boolean,
			default: false
		},
		// 輸入框寬度，單位為px
		inputWidth: {
			type: [String, Number],
			default: 35
		},
		// 是否顯示減少按鈕
		showMinus: {
			type: Boolean,
			default: true
		},
		// 是否顯示增加按鈕
		showPlus: {
			type: Boolean,
			default: true
		},
		// 顯示的小數位數
		decimalLength: {
			type: [String, Number, null],
			default: null
		},
		// 是否開啟長按加減手勢
		longPress: {
			type: Boolean,
			default: true
		},
		// 輸入框文字和加減按鈕圖標的顏色
		color: {
			type: String,
			default: '#323233'
		},
		// 按鈕大小，寬高等於此值，單位px，輸入框高度和此值保持壹致
		buttonSize: {
			type: [String, Number],
			default: 30
		},
		// 輸入框和按鈕的背景顏色
		bgColor: {
			type: String,
			default: '#EBECEE'
		},
		// 指定光標於鍵盤的距離，避免鍵盤遮擋輸入框，單位px
		cursorSpacing: {
			type: [String, Number],
			default: 100
		},
		// 是否禁用增加按鈕
		disablePlus: {
			type: Boolean,
			default: false
		},
		// 是否禁用減少按鈕
		disableMinus: {
			type: Boolean,
			default: false
		},
		// 加減按鈕圖標的樣式
		iconStyle: {
			type: [Object, String],
			default: ''
		},
		...uni.$uv?.props?.numberBox
	}
}