export default {
	props: {
		// 主題顏色
		type: {
			type: String,
			default: ''
		},
		// 是否顯示
		show: {
			type: Boolean,
			default: true
		},
		// 顯示的值
		text: {
			type: [String, Number],
			default: ''
		},
		// 前置圖標
		prefixIcon: {
			type: String,
			default: ''
		},
		// 後置圖標
		suffixIcon: {
			type: String,
			default: ''
		},
		// 文本處理的匹配模式
		// text-普通文本，price-價格，phone-手機號，name-姓名，date-日期，link-超鏈接
		mode: {
			type: String,
			default: ''
		},
		// mode=link下，配置的鏈接
		href: {
			type: String,
			default: ''
		},
		// 格式化規則
		format: {
			type: [String, Function],
			default: ''
		},
		// mode=phone時，點擊文本是否撥打電話
		call: {
			type: Boolean,
			default: true
		},
		// 小程序的打開方式
		openType: {
			type: String,
			default: ''
		},
		// 是否粗體，默認normal
		bold: {
			type: Boolean,
			default: false
		},
		// 是否塊狀
		block: {
			type: Boolean,
			default: false
		},
		// 文本顯示的行數，如果設置，超出此行數，將會顯示省略號
		lines: {
			type: [String, Number],
			default: ''
		},
		// 文本顏色
		color: {
			type: String,
			default: '#303133'
		},
		// 字體大小
		size: {
			type: [String, Number],
			default: 15
		},
		// 圖標的樣式
		iconStyle: {
			type: [Object, String],
			default: () => ({
				fontSize: '15px'
			})
		},
		// 文字裝飾，下劃線，中劃線等，可選值 none|underline|line-through
		decoration: {
			type: String,
			default: 'none'
		},
		// 外邊距，對象、字符串，數值形式均可
		margin: {
			type: [Object, String, Number],
			default: 0
		},
		// 文本行高
		lineHeight: {
			type: [String, Number],
			default: ''
		},
		// 文本對齊方式，可選值left|center|right
		align: {
			type: String,
			default: 'left'
		},
		// 文字換行，可選值break-word|normal|anywhere
		wordWrap: {
			type: String,
			default: 'normal'
		},
		...uni.$uv?.props?.text
	}
}